#pragma once

#include <string>

#include "screen.hh"
#include "orientation.hh"
#include "image.hh"

namespace uw {
  enum Mode {
    FILL,
    CENTER,
    TILE,
  };

  class Background {
    public:
      Background(const std::string &filepath);
      ~Background();

      bool setWallpaper(Mode mode);

    private:
      std::string filename;
      Screen s;
      Image i;
      Orientation o;
  };
}
