# uw
只の背景変更ツール。

XorgとFLTK以外、従属ライブラリを使いません。

## 従属ソフト | Dependensy
### OpenBSD
```sh
doas make deps
```

### NetBSD
```sh
doas make deps
```

### FreeBSD
```sh
doas make deps
```

### Void Linux
```sh
doas xbps-install -S fltk fltk-devel libX11 libX11-devel xcb-util xcb-util-devel libpng libpng-devel libjpeg-turbo libjpeg-turbo-devel
```

## 使い方 | Usage
### GUIの起動
```sh
uw
```

### CLIで背景の変更
#### タイル
```sh
uw -t wallpaper.png
```

#### 中央
```sh
uw -c wallpaper.png
```

#### 全画面
```sh
uw -f wallpaper.png
```

## インストールする方法 | Installation
### BSD
```sh
doas make depends
make
doas make install
```

### Void Linux
```sh
sudo xbps-install fltk fltk-devel libjpeg-turbo libjpeg-turbo-devel libpng libpng-devel
bmake
sudo bmake install
```

### Alpine Linux
```sh
sudo apk add fltk fltk-dev libjpeg-turbo libjpeg-turbo-dev libpng libpng-dev
bmake
sudo bmake install
```
